Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Gelöst]Java Laufzeitumgebung für LibreOffice
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
Hanisch
Apprentice
Apprentice


Joined: 21 Mar 2011
Posts: 186

PostPosted: Sat Jan 26, 2013 4:51 pm    Post subject: [Gelöst]Java Laufzeitumgebung für LibreOffice Reply with quote

Hallo,

ich habe mir über
Code:
emerge virtual/jdk

das Java JDK/JRE installiert.
Nun kann ich aber in LibreOffice -> Extras -> Optionen -> Java nichts finden.

Wie füge ich die Java Laufzeitumgebung zu LibreOffice hinzu?

Gruß
Ch. Hanisch


Last edited by Hanisch on Sat Jan 26, 2013 5:53 pm; edited 1 time in total
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 2279
Location: Germany

PostPosted: Sat Jan 26, 2013 5:44 pm    Post subject: Reply with quote

Nur ein blinder Schnellschuss (ohne von dem Thema überhaupt Ahnung zu haben)
Hanisch wrote:
Wie füge ich die Java Laufzeitumgebung zu LibreOffice hinzu?
Vermutlich übers "java" USE-Flag beim libreoffice Paket.
Schau dir am besten auch die kurze Beschreibung zu den USE-Flags an, zb via
Code:
equery uses app-office/libreoffice
....
- - java                                        : Adds support for Java
...
(gekürzt)
(Das equery Tool ist mit im app-portage/gentoolkit Paket mit enthalten)
Back to top
View user's profile Send private message
Hanisch
Apprentice
Apprentice


Joined: 21 Mar 2011
Posts: 186

PostPosted: Sat Jan 26, 2013 5:53 pm    Post subject: Reply with quote

Josef.95 wrote:

Hanisch wrote:
Wie füge ich die Java Laufzeitumgebung zu LibreOffice hinzu?
Vermutlich übers "java" USE-Flag beim libreoffice Paket.
Schau dir am besten auch die kurze Beschreibung zu den USE-Flags an, zb via
Code:
equery uses app-office/libreoffice
....
- - java                                        : Adds support for Java
...
(gekürzt)
(Das equery Tool ist mit im app-portage/gentoolkit Paket mit enthalten)

Ok. - das war's D a n k e!

Code:
gentoo_VM ~ # USE="java" emerge -av app-office/libreoffice-bin


Gruß
Ch. Hanisch
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 2279
Location: Germany

PostPosted: Sat Jan 26, 2013 6:33 pm    Post subject: Reply with quote

Na prima :)

Noch ein kurzer Nachtrag:
Hanisch wrote:
Code:
   
gentoo_VM ~ # USE="java" emerge -av app-office/libreoffice-bin
So solltest du Pakete und USE-Flags eher nicht mergen (da das USE-Flag nur temporär hinzugefügt wurde, (ggf auch für weitere benötigte Abhängigkeiten gilt) und zb beim nächsten normalen world Update nicht mehr mit beachtet wird).

Wenn du beim app-office/libreoffice-bin Paket das java USE-Flag benötigst, dann setze es am besten passend in der
/etc/portage/package.use
Also zb via
Code:
# echo "app-office/libreoffice-bin java" >> /etc/portage/package.use
Back to top
View user's profile Send private message
Hanisch
Apprentice
Apprentice


Joined: 21 Mar 2011
Posts: 186

PostPosted: Sat Jan 26, 2013 8:40 pm    Post subject: Reply with quote

Josef.95 wrote:

Wenn du beim app-office/libreoffice-bin Paket das java USE-Flag benötigst, dann setze es am besten passend in der
/etc/portage/package.use
Also zb via
Code:
# echo "app-office/libreoffice-bin java" >> /etc/portage/package.use

Danke - das war's, was mir noch fehlte.

Gruß
Ch. Hanisch
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum